@import url('https://fonts.googleapis.com/css2?family=Cantata+One&family=Tinos:ital,wght@0,400;0,700;1,400;1,700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cantata+One&family=Questrial&family=Tinos:ital,wght@0,400;0,700;1,400;1,700&display=swap');

/*Color VAR, Fonts, and base*/

:root{
    --base-color: #F0EAD6 ;
    --text-color: #000000;
    --primary-color: #ffffff;
    --secondary-color:#3b3729;
    --color-1: #D8C894;
    --color-2: 
    --color-3: 
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-family: Cantata One, 'Tinos';
    color: var(--text-color);
}

/*topograpy*/

body {
    padding: 1em;
    background-color: var(--base-color);
}

h1, h2, h3 {
    font-family: Cantata One, "Questrial";
    line-height: 2;
}

p {
    line-height: 2;
}

h4 {
    font-family: Cantata One, "Questrial";
    line-height: 2;
    text-align: center;
    font-size: 2.5em;
}

/*layout*/

nav {
    margin: 1em auto 3em auto;
    width: min(1000px, 100%);
}

nav ul{
    display: flex;
    align-items: center;
    list-style-type: none;
    gap: 2em;
}

nav li:first-child {
    margin-right: auto;
    font-family: Cantata One, Questrial;
    font-weight: bold;
}

nav a {
    text-decoration: none;
    color: var(--text-color);
}

nav a:hover {
    text-decoration: underline;
}

header, section {
    margin: 2em auto;
    width: min(75em, 100%);
    background-color: var(--color-1);
    padding: min(2em, 15%);
    border-radius: 1em;
}

.flex-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 3em;
}

header img {
    max-width: 100%;
    border-radius: 1em;
    object-fit: cover;
    object-position: bottom;
}

.text-container {
    flex: 0 1 34em;
    font-size: 1.25rem;
}

h1 {
    font-size: 2.5rem;
}

.text-container p {
    margin: .75em 0 1em 0;
    font-size: 1.25rem;
}

.cta-button {
    display: inline-block;
    text-decoration: none;
    color: var(--text-color);
    padding: .75em 1,25em;
    border-radius: .5em;
    font-weight: 600;
}

.cta-button:hover {
    text-decoration: underline;
}

@media(max-width: 988px){
    header {
        text-align: center;
    }

    header .text-container {
        padding-top: 0;
    }
}

@media(max-width: 640px) {
    nav li {
        display: none;
    }

    nav li:first-child,
    nav li:last-child {
        display: block;
    }
}

section {
    padding: 3em min(2em, 15%);
    text-align: center;
}